
Wishlist - Enhancement #850

Horizontal Band Saw

10/30/2009 03:05 PM - Dan Shope

Status: Assigned Start date: 10/30/2009

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Shop Estimated time: 0.00 hour

Target version:    

Description

Got the go-ahead from shop master to purchase a horz-band saw.

Estimate $250-$400 for a mid size.

History

#1 - 11/02/2009 10:59 PM - Jimmy Bourne

http://www.northerntool.com/webapp/wcs/stores/servlet/product_6970_200365120_200365120

#2 - 01/12/2010 10:48 PM - Jimmy Bourne

- Priority changed from Normal to Low

Powered by TCPDF (www.tcpdf.org)

03/20/2024 1/1

http://www.northerntool.com/webapp/wcs/stores/servlet/product_6970_200365120_200365120
http://www.tcpdf.org

